package com.qmth.cqb.paper.dto;

import cn.com.qmth.examcloud.common.dto.question.enums.QuesStructType;

import java.io.Serializable;
import java.util.List;

/**
 * Created by songyue on 17/3/21.
 */
public class PaperDetailUnitStructDto implements Serializable {

    private static final long serialVersionUID = -3766822545462183904L;

    private String id;

    private Integer count;

    private Double score;//小题分数

    private Double totalScore;

    private QuesStructType questionType;//小题类型

    private List<String> quesNames;//来源大题

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public QuesStructType getQuestionType() {
        return questionType;
    }

    public void setQuestionType(QuesStructType questionType) {
        this.questionType = questionType;
    }

    public List<String> getQuesNames() {
        return quesNames;
    }

    public void setQuesNames(List<String> quesNames) {
        this.quesNames = quesNames;
    }
}
