package cn.com.qmth.examcloud.core.questions.base.enums;
/**
 * @author  	chenken
 * @date    	2017年7月13日 下午4:34:29
 * @company 	QMTH
 * @description 考试 文件类型
 */
public enum ExamFileType {
	/**
	 * 试卷
	 */
	PAPER("试卷"),
	/**
	 * 答案
	 */
	ANSWER("答案"),
	/**
	 * ZIP文件
	 * 试卷结构
	 * 主观题
	 */
	PAPER_STRUCTURE_SUBJECTIVE("主观题"),
	/**
	 * ZIP文件
	 * 试卷结构
	 * 客观题
	 */
	PAPER_STRUCTURE_OBJECTIVE("客观题"),
	/**
	 * 音频文件
	 */
	AUDIO("音频文件"),
	/**
	 * 机考数据包
	 */
	COMPUTERTEST_PACKAGE("机考数据包");
	
	private String name;
	
	private ExamFileType(String name){
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
}

