package cn.com.qmth.examcloud.core.questions.base.enums;

/**
 * Created by songyue on 17/3/15.
 */
public enum PaperType {
	/**
	 * 导入
	 */
    IMPORT(1L,"导入"),
    /**
     * 组卷
     */
    GENERATE(2L,"组卷"),
    /**
     * 调卷规则预览卷
     */
    PREVIEW(3L,"调卷规则预览卷"),
    /**
     * 考生考卷
     */
    STUDENT_EXAM(4L,"考生考卷");


    private Long id;
    private String name;

    private PaperType(Long id, String name) {
        this.id = id;
        this.name = name;;
    }

    private PaperType(){

    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String toString(){
        return getName();
    }
}
