package cn.com.qmth.examcloud.core.questions.base.enums;

public enum PropertyDifficulty {

	/*
	 * 简单
	 */
	SIMPLE(1L,"简单"),
	
	/**
	 * 中等
	 */
	MEDIUM(2L,"中等"),
	
	/**
	 * 困难
	 */
	DIFFICULTY(3L,"困难");
	
	private Long id;
	
	private String name;
	
	private PropertyDifficulty(){
		
	}
	
	PropertyDifficulty(Long id, String name){
		this.id = id;
		this.name = name;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public String toString(){
        return getName();
    }
}
