package cn.com.qmth.examcloud.core.questions.dao.entity;
/**
 * @author  	chenken
 * @date    	2017年6月8日 下午2:46:09
 * @company 	QMTH
 * @description ImportPaperMsg.java
 */
public class ImportPaperMsg {
	/**
	 * [试题分类]
	 */
	public static final String questionClassify_word = "[试题分类]";
	/**
	 * [题型]
	 */
	public static final String questionType_word = "[题型]";
	/**
	 * [小题型]
	 */
    public static final String subQuestionType_word = "[小题型]";
    /**
	 * [试题编号]
	 */
    public static final String questionNo_word = "[试题编号]";
    /**
	 * [命题人]
	 */
    public static final String question_creator = "[命题人]";
    /**
	 * [题干]
	 */
    public static final String questionBody_word = "[题干]";
    /**
	 * [选项]
	 */
    public static final String option_word = "[选项]";
    /**
	 * [答案]
	 */
    public static final String answer_word = "[答案]";
    /**
	 * [属性]
	 */
    public static final String attribute_word = "[属性]";
    /**
	 * [适用年级]
	 */
    public static final String grade_word = "[适用年级]";
    /**
	 * [测评项目]
	 */
    public static final String course_word = "[测评项目]";
    /**
     * [分数]
     */
    public static final String score_word = "[分数]";
    /**
	 * [小题分数]
	 */
    public static final String subQuesScore_word = "[小题分数]";
    /**
	 * [解析]
	 */
    public static final String analyze_word = "[解析]";
    /**
     *[题目数量]
     */
    public static final String questionNum_word = "[题目数量]";
    /**
	 *[题组数量]
	 */
    public static final String subQuestionNum_word = "[题组数量]";
    /**
	 * 套题
	 */
    public static final String nestedQuestion_word = "套题";
    /**
	 * [大题名称]
	 */
    public static final String questionName_word = "[大题名称]";
    /**
     * 单选
     */
    public static final String singleSelection = "单选";
    /**
     * 多选
     */
    public static final String multipleSelection = "多选";
    /**
     * [
     */
    public static final String left_bracket = "[";
    /**
     * ]
     */
    public static final String right_bracket = "]";
    /**
     * 题干为空或格式不正确
     */
    public static final String errMsg_01 = "题干为空或格式不正确";
    /**
     * 小题型为空或格式不正确\n
     */
    public static final String errMsg_02 = "小题型为空或格式不正确\n";
    /**
     * 题干为空或格式不正确,必须以数字.开头\n
     */
    public static final String errMsg_03 = "题干为空或格式不正确,必须以数字.开头\n";
    /**
     * 试题分类为空或格式不正确\n
     */
    public static final String errMsg_04 = "试题分类为空或格式不正确\n";
    /**
     * 题型为空或格式不正确\n
     */
    public static final String errMsg_05 = "题型为空或格式不正确\n";
    /**
     * 大题名称为空或格式不正确\n
     */
    public static final String errMsg_06 = "大题名称为空或格式不正确\n";
    /**
     * 题目数量为空或格式不正确\n
     */
    public static final String errMsg_07 = "题目数量为空或格式不正确\n";
    /**
     * 分数为空或格式不正确\n
     */
    public static final String errMsg_08 = "分数为空或格式不正确\n";
    /**
     * 题型必须是单选、多选、判断、填空、问答、套题中的一种\n
     */
    public static final String errMsg_09 = "题型必须是单选、多选、判断、填空、问答、套题中的一种\n";
    /**
     * 题干不能包含有序列
     */
    public static final String errMsg_10 = "题干不能包含有自动编号";
    /**
     * 选项不能包含有序列
     */
    public static final String errMsg_11 = "选项不能包含有自动编号";
    /**
     * 一般校验
     */
    public static final String errMsg_12 = "格式错误,请仔细检查(1.题干必须有题号、选项必须有选项号、答案必须存在且格式正确;2.标签格式是否正确[小题分数]、[答案]、[难度]、[一级属性]、[二级属性]、[公开度]、[小题型])";

    /**
     * 选项排列顺序
     */
    public static final String errMsg_13 = "格式错误,请仔细检查(1、选项序号有误,必须从A开始且按字母顺序排列ABCDEF；2、选项内容不对)";
    
    /**
     * [一级属性]
     */
    public static final String first_property = "[一级属性]";
    /**
     * [二级属性]
     */
    public static final String second_property = "[二级属性]";
    /**
     * [难度]
     */
    public static final String difficulty = "[难度]";
    /**
     * [公开度]
     */
    public static final String publicity = "[公开度]";
    /**
     * [套题]
     */
    public static final String nestedQuestion_start = "[套题]";
    /**
     * [套题数量]
     */
    public static final String nestedQuestion_number = "[套题数量]";
}

