package com.qmth.cqb.base.dao;

import com.qmth.cqb.base.model.Course;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

/**
 * Created by songyue on 16/12/26.
 */
public interface CourseRepo extends MongoRepository<Course, String>,QueryByExampleExecutor<Course> {

    Course findFirstByCodeAndOrgId(String code,String orgId);

    Course findFirstByCode(String courseNo);

}