package cn.com.qmth.examcloud.core.questions.dao.entity;

import java.io.Serializable;
import java.util.Map;

import cn.com.qmth.examcloud.common.dto.question.enums.QuesStructType;

/**
 * 试题类型(结构类型包装类) Created by songyue on 16/12/28.
 */
public class QuestionType implements Serializable {

    private static final long serialVersionUID = -4183850561167604080L;

    private QuesStructType quesType;// 结构类型

    private String name;// 类型标题

    private Map params;// 类型参数

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public QuesStructType getQuesType() {
        return quesType;
    }

    public void setQuesType(QuesStructType quesType) {
        this.quesType = quesType;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

    public Map getParams() {
        return params;
    }

    public void setParams(Map params) {
        this.params = params;
    }

    public QuestionType() {
    }

    public QuestionType(QuesStructType quesStructType, String name) {
        this.quesType = quesStructType;
        this.name = name;
    }
}
