package cn.com.qmth.examcloud.core.questions.service;

import javax.servlet.http.HttpServletResponse;

import cn.com.qmth.examcloud.commons.web.security.bean.User;
import cn.com.qmth.examcloud.commons.web.security.entity.AccessUser;
import cn.com.qmth.examcloud.core.questions.service.bean.dto.ExportPaperInfoModel;
import cn.com.qmth.examcloud.core.questions.dao.entity.ExtractConfig;

/**
 * @author  	chenken
 * @date    	2017年7月31日 下午6:03:26
 * @company 	QMTH
 * @description 调卷规则--文件处理service
 */
public interface ExtractConfigFileService {
	
	/**
	 * 保存调卷规则，生成试卷文件
	 * @param extractConfig
	 * @param isbuildFile	1:生成试卷文件 0:不生成试卷文件
	 * @param accessUser
	 * @throws Exception
	 */
	public void saveExtractConfigAndBuildPaperFile(ExtractConfig extractConfig,Integer isbuildFile,User user) throws Exception;
	
	/**
	 * 导出考试下的试卷信息  校验
	 * @param exportModel
	 * @param response
	 * @throws Exception
	 */
	public void exportExamPaperInfoCheck(ExportPaperInfoModel exportModel,HttpServletResponse response) throws Exception ;
	/**
	 * 导出考试下的试卷信息
	 * @param exportModel
	 */
	public void exportExamPaperInfo(ExportPaperInfoModel exportModel,HttpServletResponse response,String loginName,String orgName)  throws Exception ;
}

